################################################
# Arcanum Core World Server configuration file #
################################################
[worldserver]

###################################################################################################
# SECTION INDEX
#
#    EXAMPLE CONFIG
#    CONNECTIONS AND DIRECTORIES
#    PERFORMANCE SETTINGS
#    SERVER LOGGING
#    SERVER SETTINGS
#    PLAYER INTERACTION
#    CREATURE SETTINGS
#    CHAT SETTINGS
#    GAME MASTER SETTINGS
#    VISIBILITY AND DISTANCES
#    SERVER RATES
#    AUTO BROADCAST
#    BATTLEGROUND CONFIG
#    ARENA CONFIG
#    NETWORK CONFIG
#    CONSOLE AND REMOTE ACCESS
#    CHARACTER DELETE OPTIONS
#    CUSTOM SERVER OPTIONS
#
###################################################################################################

###################################################################################################
# EXAMPLE CONFIG
#
#    Variable
#        Description: Brief description what the variable is doing.
#        Important:   Annotation for important things about this variable.
#        Example:     "Example, i.e. if the value is a string"
#        Default:     10 - (Enabled|Comment|Variable name in case of grouped config options)
#                     0  - (Disabled|Comment|Variable name in case of grouped config options)
#
# Note to developers:
# - Copy this example to keep the formatting.
# - Line breaks should be at column 100.
###################################################################################################

###################################################################################################
# CONNECTIONS AND DIRECTORIES
#
#    RealmID
#        Description: ID of the Realm using this config.
#        Important:   RealmID must match the realmlist inside the realmd database.
#        Default:     1

RealmID = 1

#
#    DataDir
#        Description: Data directory setting.
#        Important:   DataDir needs to be quoted, as the string might contain space characters.
#        Example:     "@prefix@/share/trinitycore"
#        Default:     "."

DataDir = "."

#
#    LogsDir
#        Description: Logs directory setting.
#        Important:   LogsDir needs to be quoted, as the string might contain space characters.
#                     Logs directory must exists, or log file creation will be disabled.
#        Default:     "" - (Log files will be stored in the current path)

LogsDir = ""

#
#    LoginDatabaseInfo
#    WorldDatabaseInfo
#    CharacterDatabaseInfo
#        Description: Database connection settings for the world server.
#        Example:     "hostname;port;username;password;database"
#                     ".;somenumber;username;password;database" - (Use named pipes on Windows
#                                                                 "enable-named-pipe" to [mysqld]
#                                                                 section my.ini)
#                     ".;/path/to/unix_socket;username;password;database" - (use Unix sockets on
#                                                                           Unix/Linux)
#        Default:     "127.0.0.1;3306;trinity;trinity;auth"       - (LoginDatabaseInfo)
#                     "127.0.0.1;3306;trinity;trinity;world"      - (WorldDatabaseInfo)
#                     "127.0.0.1;3306;trinity;trinity;characters" - (CharacterDatabaseInfo)

LoginDatabaseInfo     = "127.0.0.1;3306;trinity;trinity;auth"
WorldDatabaseInfo     = "127.0.0.1;3306;trinity;trinity;world"
CharacterDatabaseInfo = "127.0.0.1;3306;trinity;trinity;characters"

#
#    LoginDatabase.WorkerThreads
#    WorldDatabase.WorkerThreads
#    CharacterDatabase.WorkerThreads
#        Description: The amount of worker threads spawned to handle asynchronous (delayed) MySQL
#                     statements. Each worker thread is mirrored with its own connection to the
#                     MySQL server and their own thread on the MySQL server.
#        Default:     1 - (LoginDatabase.WorkerThreads)
#                     1 - (WorldDatabase.WorkerThreads)
#                     1 - (CharacterDatabase.WorkerThreads)

LoginDatabase.WorkerThreads     = 1
WorldDatabase.WorkerThreads     = 1
CharacterDatabase.WorkerThreads = 1

#
#    LoginDatabase.SynchThreads
#    WorldDatabase.SynchThreads
#    CharacterDatabase.SynchThreads
#        Description: The amount of MySQL connections spawned to handle.
#        Default:     1 - (LoginDatabase.WorkerThreads)
#                     1 - (WorldDatabase.WorkerThreads)
#                     2 - (CharacterDatabase.WorkerThreads)

LoginDatabase.SynchThreads     = 1
WorldDatabase.SynchThreads     = 1
CharacterDatabase.SynchThreads = 2

#
#    MaxPingTime
#        Description: Time (in minutes) between database pings.
#        Default:     30

MaxPingTime = 30

#
#    WorldServerPort
#        Description: TCP port to reach the world server.
#        Default:     8085

WorldServerPort = 8085

#
#    BindIP
#        Description: Bind world server to IP/hostname
#        Default:     "0.0.0.0" - (Bind to all IPs on the system)

BindIP = "0.0.0.0"

#
###################################################################################################

###################################################################################################
# PERFORMANCE SETTINGS
#
#    UseProcessors
#        Description: Processors mask for Windows based multi-processor systems.
#        Default:     0  - (Selected by OS)
#                     1+ - (Bit mask value of selected processors)

UseProcessors = 0

#
#    ProcessPriority
#        Description: Process priority setting for Windows based systems.
#        Default:     1 - (High)
#                     0 - (Normal)

ProcessPriority = 1

#
#    Compression
#        Description: Compression level for client update packages
#        Range:       1-9
#        Default:     1   - (Speed)
#                     9   - (Best compression)

Compression = 1

#
#    PlayerLimit
#        Description: Maximum number of players in the world. Excluding Mods, GMs and Admins.
#          Important: If you want to block players and only allow Mods, GMs or Admins to join the
#                     server, use the DB field "realmd.realmlist.allowedSecurityLevel".
#            Default: 100 - (Enabled)
#                     1+  - (Enabled)
#                     0   - (Disabled, No limit)

PlayerLimit = 100

#
#    SaveRespawnTimeImmediately
#        Description: Save respawn time for creatures at death and gameobjects at use/open.
#        Default:     1 - (Enabled, Save respawn time immediately)
#                     0 - (Disabled, Save respawn time at grid unloading)

SaveRespawnTimeImmediately = 1

#
#    MaxOverspeedPings
#        Description: Maximum overspeed ping count before character is disconnected.
#        Default:     2  - (Enabled, Minimum value)
#                     3+ - (Enabled, More checks before kick)
#                     0  - (Disabled)

MaxOverspeedPings = 2

#
#    GridUnload
#        Description: Unload grids to save memory. Can be disabled if enough memory is available
#                     to speed up moving players to new grids.
#        Default:     1 - (enable, Unload grids)
#                     0 - (disable, Do not unload grids)

GridUnload = 1

#
#    SocketTimeOutTime
#        Description: Time (in milliseconds) after which a connection being idle on the character
#                     selection screen is disconnected.
#        Default:     900000 - (15 minutes)

SocketTimeOutTime = 900000

#
#    SessionAddDelay
#        Description: Time (in microseconds) that a network thread will sleep after authentication
#                     protocol handling before adding a connection to the world session map.
#        Default:     10000 - (10 milliseconds, 0.01 second)

SessionAddDelay = 10000

#
#    GridCleanUpDelay
#        Description: Time (in milliseconds) grid clean up delay.
#        Default:     300000 - (5 minutes)

GridCleanUpDelay = 300000

#
#    MapUpdateInterval
#        Description: Time (milliseconds) for map update interval.
#        Default:     100 - (0.1 second)

MapUpdateInterval = 100

#
#    ChangeWeatherInterval
#        Description: Time (in milliseconds) for weather update interval.
#        Default:     600000 - (10 min)

ChangeWeatherInterval = 600000

#
#    PlayerSaveInterval
#        Description: Time (in milliseconds) for player save interval.
#        Default:     900000 - (15 min)

PlayerSaveInterval = 900000

#
#    PlayerSave.Stats.MinLevel
#        Description: Minimum level for saving character stats in the database for external usage.
#        Default:     0  - (Disabled, Do not save character stats)
#                     1+ - (Enabled, Level beyond which character stats are saved)

PlayerSave.Stats.MinLevel = 0

#
#    PlayerSave.Stats.SaveOnlyOnLogout
#        Description: Save player stats only on logout.
#        Default:     1 - (Enabled, Only save on logout)
#                     0 - (Disabled, Save on every player save)

PlayerSave.Stats.SaveOnlyOnLogout = 1

#
#    vmap.enableLOS
#    vmap.enableHeight
#        Description: VMmap support for line of sight and height calculation.
#        Default:     1 - (Enabled, vmap.enableLOS)
#                     1 - (Enabled, vmap.enableHeight)
#                     0 - (Disabled)

vmap.enableLOS    = 1
vmap.enableHeight = 1

#
#    vmap.ignoreSpellIds
#        Description: These spells are ignored for LoS calculation.
#                     List of ids with delimiter ','.
#        Example:     "7720,1337"
#        Default:     "7720"

vmap.ignoreSpellIds = "7720"

#
#    vmap.petLOS
#        Description: Check line of sight for pets, to avoid them attacking through walls.
#        Default:     1 - (Enabled, each pet attack will be checked for line of sight)
#                     0 - (Disabled, somewhat less CPU usage)

vmap.petLOS = 1

#
#    vmap.enableIndoorCheck
#        Description: VMap based indoor check to remove outdoor-only auras (mounts etc.).
#        Default:     1 - (Enabled)
#                     0 - (Disabled, somewhat less CPU usage)

vmap.enableIndoorCheck = 1

#
#    DetectPosCollision
#        Description: Check final move position, summon position, etc for visible collision with
#                     other objects or walls (walls only if vmaps are enabled).
#        Default:     1 - (Enabled)
#                     0 - (Disabled, Less position precision but less CPU usage)

DetectPosCollision = 1

#
#    TargetPosRecalculateRange
#        Description: Max distance from movement target point (+moving unit size) and targeted
#                     object (+size) after that new target movement point calculated.
#        Range:       0.5-5.0
#        Default:     1.5
#                     0.5 - (Minimum, Contact Range, More sensitive reaction to target movement)
#                     5.0 - (Maximum, Melee attack range, Less CPU usage)

TargetPosRecalculateRange = 1.5

#
#    UpdateUptimeInterval
#        Description: Update realm uptime period (in minutes).
#        Default:     10 - (10 minutes)
#                     1+

UpdateUptimeInterval = 10

#
#    LogDB.Opt.ClearInterval
#        Description: Time (in minutes) for the WUPDATE_CLEANDB timer that clears the `logs` table
#                     of old entries.
#        Default:     10 - (10 minutes)
#                     1+

LogDB.Opt.ClearInterval = 10

#
#    LogDB.Opt.ClearTime
#        Description: Time (in seconds) for keeping old `logs` table entries.
#        Default:     1209600 - (Enabled, 14 days)
#                     0       - (Disabled, Do not clear entries)

LogDB.Opt.ClearTime = 1209600

#
#    MaxCoreStuckTime
#        Description: Time (in seconds) before the server is forced to crash if it is frozen.
#        Default:     0   - (Disabled)
#                     10+ - (Enabled, Recommended 10+)

MaxCoreStuckTime = 0

#
#    AddonChannel
#        Description: Configure the use of the addon channel through the server (some client side
#                     addons will not work correctly with disabled addon channel)
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

AddonChannel = 1

#
#    MapUpdate.Threads
#        Description: Number of threads to update maps.
#        Default:     1

MapUpdate.Threads = 1

#
#    CleanCharacterDB
#        Description: Clean out deprecated achievements, skills, spells and talents from the db.
#        Default:     0 - (Disabled)
#                     1 - (Enable)

CleanCharacterDB = 0

#
#    PersistentCharacterCleanFlags
#        Description: Determines the character clean flags that remain set after cleanups.
#                     This is a bitmask value, check /doc/CharacterDBCleanup.txt for more
#                     information.
#        Example:     14 - (Cleaning up skills, talents and spells will remain enabled after the
#                           next cleanup)
#        Default:     0  - (All cleanup methods will be disabled after the next cleanup)

PersistentCharacterCleanFlags = 0

#
###################################################################################################

###################################################################################################
# SERVER LOGGING
#
#    PidFile
#        Description: World daemon PID file
#        Example:     "./worldd.pid" - (Enabled)
#        Default:     ""             - (Disabled)

PidFile = ""

#
#    LogLevel
#        Description: Server console level of logging
#        Default:     1 - (Basic)
#                     0 - (Minimum)
#                     2 - (Detail)
#                     3 - (Full/Debug)

LogLevel = 1

#
#    LogFile
#        Description: Log file for main server log.
#        Default:     "Server.log" - (Enabled)
#                     ""           - (Disabled)

LogFile = "Server.log"

#
#    LogTimestamp
#        Description: Append timestamp to the server log file name.
#                     Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

LogTimestamp = 0

#
#    LogFileLevel
#        Description: Server file level of logging
#        Default:     0 - (Minimum)
#                     1 - (Basic)
#                     2 - (Detail)
#                     3 - (Full/Debug)

LogFileLevel = 0

#
#    Debug Log Mask
#        Description: Bitmask that determines which debug log output (level 3)
#                     will be logged.
#        Possible flags:
#                   1 - Anything related to units that doesn't fit in other
#                          categories.
#                   2 - Anything related to pets.
#                   4 - Anything related to vehicles.
#                   8 - Anything related to C++ AI, instance scripts, etc.
#                  16 - Anything related to DB AI, such as SAI, EAI, CreatureAI
#                  32 - Anything related to DB map scripts
#                  64 - Anything related to network input/output,
#                        such as packet handlers and netcode logs
#                 128 - Anything related to the spellsystem and aurasystem
#                 256 - Anything related to the achievement system
#                 512 - Anything related to the condition system
#                1024 - Anything related to the pool system
#                2048 - Anything related to the auction house
#                4096 - Anything related to arena's and battlegrounds
#                8192 - Anything related to outdoor PVP
#               16384 - Anything related to the chat system
#               32768 - Anything related to the LFG system
#               65536 - Anything related to maps, instances (not scripts),
#                       grids, cells, visibility, etc.
#              131072 - Anything related to player loading from DB
#                      (Player::_LoadXXX functions)
#              262144 - Anything related to items
#              524288 - Anything related to player skills
#                      (do not confuse with spells)
#             1048576 - Anything related to loot
#             2097152 - Anything related to guilds
#             4194304 - Anything related to transports
#
#                       Simply add the values together to create a bitmask.
#                       For more info see enum DebugLogFilters in Log.h
#
#             Default: 0 (nothing)

DebugLogMask = 0

#
#    WorldLogFile
#        Description: Packet logging file for the world server.
#        Example:     "World.log" - (Enabled)
#        Default:     ""          - (Disabled)

WorldLogFile = ""

#
#    DBErrorLogFile
#        Description: Log file for database errors.
#        Default:     "DBErrors.log" - (Enabled)
#                     ""             - (Disabled)

DBErrorLogFile = "DBErrors.log"

#
#    CharLogFile
#        Description: Log file for character operations
#        Default:     "Char.log" - (Enabled)
#                     ""         - (Disabled)

CharLogFile = "Char.log"

#
#    CharLogTimestamp
#        Description: Append timestamp to the character log file name.
#                     Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

CharLogTimestamp = 0

#
#    CharLogDump
#        Description: Write a character dump in the CharLogFile before deleting it.
#                     For restoration, copy character data from log file starting from
#                     line == START DUMP == to line == END DUMP == (exclusive)
#                     and load it using the "pdump load" command.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

CharLogDump = 0

#
#    CharLogDump.Separate
#        Description: Write character dump to separate files files rather than adding it to the
#                     CharLogFile.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

CharLogDump.Separate = 0

#
#    CharLogDump.SeparateDir
#        Description: Write dump files into the sub folder within the log folder.
#        Example:     "chardumps" - (Enabled)
#        Default:     ""         - (Disabled)

CharLogDump.SeparateDir = ""

#
#    GmLogFile
#        Description: Log file for gamemaster commands.
#        Default:     "GM.log" - (Enabled)
#                     ""       - (Disabled)

GmLogFile = "GM.log"

#
#    GmLogTimestamp
#        Description: Append timestamp to the gamemaster log file name.
#                     Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

GmLogTimestamp = 0

#
#    GmLogPerAccount
#        Description: Create a log file per gamemaster account.
#        Important:   Logs not created if GmLogFile is not set.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

GmLogPerAccount = 0

#
#    RaLogFile
#        Description: Log file for Remote Access commands.
#        Default:     "RA.log" - (Enabled)
#                     ""       - (Disabled)

RaLogFile = "RA.log"

#
#    ArenaLogFile
#        Description: Log file for arena fights and arena team creations.
#        Example:     "Arena.log" - (Enabled)
#        Default:     ""          - (Disabled)

ArenaLogFile = ""

#
#    ArenaLog.ExtendedInfo
#        Description: Include extended info to ArenaLogFile for each player after rated arena
#                     matches (guid, name, team, IP, healing/damage done, killing blows).
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ArenaLog.ExtendedInfo = 0

#
#    SQLDeveloperLogFile
#        Description: Log file for core-generated SQL queries/dumps
#        Example:     "SQLDev.log"    - (Enabled)
#        Default:      ""             - (Disabled)

SQLDeveloperLogFile = ""

#
#    SQLDriverLogFile
#        Description: Log file for SQL driver events.
#        Example:     "SQLDriver.log" - (Enabled)
#        Default:      ""             - (Disabled)

SQLDriverLogFile = ""

#
#    SQLDriverQueryLogging
#        Description: Log SQL queries to the SQLDriverLogFile and console.
#        Default:     0 - (Disabled, Query errors only)
#                     1 - (Enabled, Full query logging - may have performance impact)

SQLDriverQueryLogging = 0

#
#    LogColors
#        Description: Colors for log messages (Format: "normal basic detail debug").
#        Colors:      0  - Black
#                     1  - Red
#                     2  - Green
#                     3  - Brown
#                     4  - Blue
#                     5  - Magenta
#                     6  - Cyan
#                     7  - Grey
#                     8  - Yellow
#                     9  - Lred
#                     10 - Lgreen
#                     11 - Lblue
#                     12 - Lmagenta
#                     13 - Lcyan
#                     14 - White
#        Example:     "13 11 9 5" - (Enabled)
#        Default:     ""          - (Disabled)

LogColors = ""

#
#    EnableLogDB
#        Description: Write log messages to database (LogDatabaseInfo).
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

EnableLogDB = 0

#
#    DBLogLevel
#        Description: Log level of databases logging.
#        Default:     2 - (Detail)
#                     0 - (Minimum)
#                     1 - (Basic)
#                     3 - (Full/Debug)

DBLogLevel = 2

#
#    LogDB.Char
#        Description: Log character operations to database.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

LogDB.Char = 0

#
#    LogDB.GM
#        Description: Log gamemaster commands to database.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

LogDB.GM = 0

#
#    LogDB.RA
#        Description: Log remote access events to database.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

LogDB.RA = 0

#
#    LogDB.World
#        Description: Log world server packets to database.
#        Default:     0 - (Disabled)
#                     1 - (Enabled, May have performance impact)

LogDB.World = 0

#
#    LogDB.Chat
#        Description: Log chat messages to database.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

LogDB.Chat = 0


#    ChatLogFile
#        Description: Log file for chat logs.
#        Default:     "Chat.log" - (Enabled)
#                     ""         - (Disabled)

ChatLogFile = "Chat.log"

#    ChatLogTimestamp
#        Description: Append timestamp to the chat log file name.
#                     Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogTimestamp = 0

#
#    ChatLogs.Channel
#        Description: Log custom channel chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.Channel = 0

#
#    ChatLogs.Whisper
#        Description: Log whispers between players.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.Whisper = 0

#
#    ChatLogs.SysChan
#        Description: Log system channel messages.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.SysChan = 0

#
#    ChatLogs.Party
#        Description: Log party chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)


ChatLogs.Party = 0

#
#    ChatLogs.Raid
#        Description: Log raid chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)


ChatLogs.Raid = 0

#
#    ChatLogs.Guild
#        Description: Log guild chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.Guild = 0

#
#    ChatLogs.Public
#        Description: Log public chat (say/yell/emote).
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.Public = 0

#
#    ChatLogs.Addon
#        Description: Log addon messages.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.Addon = 0

#
#    ChatLogs.BattleGround
#        Description: Log battleground chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatLogs.BattleGround = 0

#
###################################################################################################

###################################################################################################
# SERVER SETTINGS
#
#    GameType
#        Description: Server realm type.
#        Default:     0  - (NORMAL)
#                     1  - (PVP)
#                     4  - (NORMAL)
#                     6  - (RP)
#                     8  - (RPPVP)
#                     16 - (FFA_PVP, Free for all pvp mode like arena PvP in all zones except rest
#                          activated places and sanctuaries)

GameType = 0

#
#    RealmZone
#        Description: Server realm zone. Set allowed alphabet in character, etc. names.
#        Default      1  - (Development   - any language)
#                     2  - (United States - extended-Latin)
#                     3  - (Oceanic       - extended-Latin)
#                     4  - (Latin America - extended-Latin)
#                     5  - (Tournament    - basic-Latin at create, any at login)
#                     6  - (Korea         - East-Asian)
#                     7  - (Tournament    - basic-Latin at create, any at login)
#                     8  - (English       - extended-Latin)
#                     9  - (German        - extended-Latin)
#                     10 - (French        - extended-Latin)
#                     11 - (Spanish       - extended-Latin)
#                     12 - (Russian       - Cyrillic)
#                     13 - (Tournament    - basic-Latin at create, any at login)
#                     14 - (Taiwan        - East-Asian)
#                     15 - (Tournament    - basic-Latin at create, any at login)
#                     16 - (China         - East-Asian)
#                     17 - (CN1           - basic-Latin at create, any at login)
#                     18 - (CN2           - basic-Latin at create, any at login)
#                     19 - (CN3           - basic-Latin at create, any at login)
#                     20 - (CN4           - basic-Latin at create, any at login)
#                     21 - (CN5           - basic-Latin at create, any at login)
#                     22 - (CN6           - basic-Latin at create, any at login)
#                     23 - (CN7           - basic-Latin at create, any at login)
#                     24 - (CN8           - basic-Latin at create, any at login)
#                     25 - (Tournament    - basic-Latin at create, any at login)
#                     26 - (Test Server   - any language)
#                     27 - (Tournament    - basic-Latin at create, any at login)
#                     28 - (QA Server     - any language)
#                     29 - (CN9           - basic-Latin at create, any at login)

RealmZone = 1

#
#    StrictPlayerNames
#        Description: Limit player name to language specific symbol set. Prevents character
#                     creation and forces rename request if not allowed symbols are used
#        Default:     0 - (Disable, Limited server timezone dependent client check)
#                     1 - (Enabled, Strictly basic Latin characters)
#                     2 - (Enabled, Strictly realm zone specific, See RealmZone setting,
#                         Note: Client needs to have the appropriate fonts installed which support
#                         the charset. For non-official localization, custom fonts need to be
#                         placed in clientdir/Fonts.
#                     3 - (Enabled, Basic Latin characters + server timezone specific)

StrictPlayerNames = 0

#
#    StrictCharterNames
#        Description: Limit guild/arena team charter names to language specific symbol set.
#                     Prevents charter creation if not allowed symbols are used.
#        Default:     0 - (Disable, Limited server timezone dependent client check)
#                     1 - (Enabled, Strictly basic Latin characters)
#                     2 - (Enabled, Strictly realm zone specific, See RealmZone setting,
#                         Note: Client needs to have the appropriate fonts installed which support
#                         the charset. For non-official localization, custom fonts need to be
#                         placed in clientdir/Fonts.
#                     3 - (Enabled, Basic Latin characters + server timezone specific)

StrictCharterNames = 0

#
#    StrictPetNames
#        Description: Limit pet names to language specific symbol set.
#                     Prevents pet naming if not allowed symbols are used.
#        Default:     0 - (Disable, Limited server timezone dependent client check)
#                     1 - (Enabled, Strictly basic Latin characters)
#                     2 - (Enabled, Strictly realm zone specific, See RealmZone setting,
#                         Note: Client needs to have the appropriate fonts installed which support
#                         the charset. For non-official localization, custom fonts need to be
#                         placed in clientdir/Fonts.
#                     3 - (Enabled, Basic Latin characters + server timezone specific)

StrictPetNames = 0

#
#    DBC.Locale
#        Description: DBC language settings.
#        Default:     255 - (Auto Detect)
#                     0   - (English)
#                     1   - (Korean)
#                     2   - (French)
#                     3   - (German)
#                     4   - (Chinese)
#                     5   - (Taiwanese)
#                     6   - (Spanish)
#                     7   - (Spanish Mexico)
#                     8   - (Russian)

DBC.Locale = 255

#
#    DeclinedNames
#        Description: Allow Russian clients to set and use declined names.
#        Default:     0 - (Disabled, Except when the Russian RealmZone is set)
#                     1 - (Enabled)

DeclinedNames = 0

#
#    Expansion
#        Description: Allow server to use content from expansions. Checks for expansion-related
#                     map files, client compatibility and class/race character creation.
#        Default:     2 - (Expansion 2)
#                     1 - (Expansion 1)
#                     0 - (Disabled, Ignore and disable expansion content (maps, races, classes)

Expansion = 2

#
#    MinPlayerName
#        Description: Minimal player name length.
#        Range:       1-12
#        Default:     2

MinPlayerName = 2

#
#    MinCharterName
#        Description: Minimal charter name length.
#        Range:       1-24
#        Default:     2

MinCharterName = 2

#
#    MinPetName
#        Description: Minimal pet name length.
#        Range:       1-12
#        Default:     2

MinPetName = 2

#
#    MaxWhoListReturns
#        Description: Set the max number of players returned in the /who list and interface.
#        Default:     49 - (stable)

MaxWhoListReturns = 49

#
#    CharacterCreating.Disabled
#        Description: Disable character creation for players based on faction.
#        Default:     0 - (Enabled, All factions are allowed)
#                     1 - (Disabled, Alliance)
#                     2 - (Disabled, Horde)
#                     3 - (Disabled, Both factions)

CharacterCreating.Disabled = 0

#
#    CharacterCreating.Disabled.RaceMask
#        Description: Mask of races which cannot be created by players.
#        Example:     1536 - (1024 + 512, Blood Elf and Draenei races are disabled)
#        Default:     0    - (Enabled, All races are allowed)
#                     1    - (Disabled, Human)
#                     2    - (Disabled, Orc)
#                     4    - (Disabled, Dwarf)
#                     8    - (Disabled, Night Elf)
#                     16   - (Disabled, Undead)
#                     32   - (Disabled, Tauren)
#                     64   - (Disabled, Gnome)
#                     128  - (Disabled, Troll)
#                     512  - (Disabled, Blood Elf)
#                     1024 - (Disabled, Draenei)

CharacterCreating.Disabled.RaceMask = 0

#
#    CharacterCreating.Disabled.ClassMask
#        Description: Mask of classes which cannot be created by players.
#        Example:     288 - (32 + 256, Death Knight and Warlock classes are disabled)
#        Default:     0    - (Enabled, All classes are allowed)
#                     1    - (Disabled, Warrior)
#                     2    - (Disabled, Paladin)
#                     4    - (Disabled, Hunter)
#                     8    - (Disabled, Rogue)
#                     16   - (Disabled, Undead)
#                     32   - (Disabled, Death Knight)
#                     64   - (Disabled, Shaman)
#                     128  - (Disabled, Mage)
#                     256  - (Disabled, Warlock)
#                     1024 - (Disabled, Druid)

CharacterCreating.Disabled.ClassMask = 0

#
#    CharactersPerAccount
#        Description: Limit number of characters per account on all realms on this realmlist.
#        Important:   Number must be >= CharactersPerRealm
#        Default:     50

CharactersPerAccount = 50
#
#    CharactersPerRealm
#        Description: Limit number of characters per account on this realm.
#        Range:       1-10
#        Default:     10 - (Client limitation)

CharactersPerRealm = 10

#
#    HeroicCharactersPerRealm
#        Description: Limit number of heroic class characters per account on this realm.
#        Range:       1-10
#        Default:     1

HeroicCharactersPerRealm = 1

#
#    CharacterCreating.MinLevelForHeroicCharacter
#        Description: Limit creating heroic characters only for account with another
#                     character of specific level (ignored for GM accounts)
#        Default:     55 - (Enabled, Requires at least another level 55 character)
#                     0  - (Disabled)
#                     1  - (Enabled, Requires at least another level 1 character)

CharacterCreating.MinLevelForHeroicCharacter = 55

#
#    SkipCinematics
#        Description: Disable cinematic intro at first login after character creation.
#                     Prevents buggy intros in case of custom start location coordinates.
#        Default:     0 - (Show intro for each new character)
#                     1 - (Show intro only for first character of selected race)
#                     2 - (Disable intro for all classes)

SkipCinematics = 0

#
#    MaxPlayerLevel
#        Description: Maximum level that can be reached by players.
#        Important:   Levels beyond 100 are not recommended at all.
#        Range:       1-255
#        Default:     80

MaxPlayerLevel = 80

#
#    MinDualSpecLevel
#        Description: Level requirement for Dual Talent Specialization
#        Default:     40

MinDualSpecLevel = 40

#
#    StartPlayerLevel
#        Description: Starting level for characters after creation.
#        Range:       1-MaxPlayerLevel
#        Default:     1

StartPlayerLevel = 1

#
#    StartHeroicPlayerLevel
#        Description: Staring level for heroic class characters after creation.
#        Range:       1-MaxPlayerLevel
#        Default:     55

StartHeroicPlayerLevel = 55

#
#    StartPlayerMoney
#        Description: Amount of money (in Copper) that a character has after creation.
#        Default:     0
#                     100 - (1 Silver)

StartPlayerMoney = 0

#
#    MaxHonorPoints
#        Description: Maximum honor points a character can have.
#        Default:     75000

MaxHonorPoints = 75000

#
#    StartHonorPoints
#        Description: Amount of honor points that characters have after creation.
#        Default:     0

StartHonorPoints = 0

#
#    MaxArenaPoints
#        Description: Maximum arena points a character can have.
#        Default:     10000

MaxArenaPoints = 10000

#
#    StartArenaPoints
#        Description: Amount of arena points that characters has after creation.
#        Default:     0

StartArenaPoints = 0

#
#    RecruitAFriend.MaxLevel
#        Description: Highest level up to which a character can benefit from the Recruit-A-Friend
#                     experience multiplier.
#        Default:     60

RecruitAFriend.MaxLevel = 60

#
#    RecruitAFriend.MaxDifference
#        Description: Highest level difference between linked Recruiter and Friend benefit from
#                     the Recruit-A-Friend experience multiplier.
#        Default:     4

RecruitAFriend.MaxDifference = 4

#
#    InstantLogout
#        Description: Required security level for instantly logging out everywhere.
#                     Does not work while in combat, dueling or falling.
#        Default:     1  - (Enabled, Mods/GMs/Admins)
#                     0  - (Enabled, Everyone)
#                     2  - (Enabled, GMs/Admins)
#                     3  - (Enabled, Admins)
#                     4  - (Disabled)

InstantLogout = 1

#
#    DisableWaterBreath
#        Description: Required security level for water breathing.
#        Default:     4  - (Disabled)
#                     0  - (Enabled, Everyone)
#                     1  - (Enabled, Mods/GMs/Admins)
#                     2  - (Enabled, GMs/Admins)
#                     3  - (Enabled, Admins)

DisableWaterBreath = 4

#
#    AllFlightPaths
#        Description: Character knows all flight paths (of both factions) after creation.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllFlightPaths = 0

#
#    InstantFlightPaths
#        Description: Flight paths will take players to their destination instantly instead
#                     of making them wait while flying.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

InstantFlightPaths = 0

#
#    AlwaysMaxSkillForLevel
#        Description: Players will automatically gain max skill level when logging in or leveling
#                     up.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AlwaysMaxSkillForLevel = 0

#
#    ActivateWeather
#        Description: Activate the weather system.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

ActivateWeather = 1

#
#    CastUnstuck
#        Description: Allow casting the Unstuck spell using .start or unstuck button in client
#                     help options.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

CastUnstuck = 1

#
#    Instance.IgnoreLevel
#        Description: Ignore level requirement when entering instances.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Instance.IgnoreLevel = 0

#
#    Instance.IgnoreRaid
#        Description: Ignore raid group requirement when entering instances.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Instance.IgnoreRaid = 0

#
#    Instance.ResetTimeHour
#        Description: Hour of the day when the global instance reset occurs.
#        Range:       0-23
#        Default:     4 - (04:00 AM)

Instance.ResetTimeHour = 4

#
#    Instance.UnloadDelay
#        Description: Time (in milliseconds) before instance maps are unloaded from memory if no
#                     characters are inside.
#        Default:     1800000 - (Enabled, 30 minutes)
#                     0       - (Disabled, Instance maps are kept in memory until the instance
#                               resets)

Instance.UnloadDelay = 1800000

#
#    Quests.LowLevelHideDiff
#        Description: Level difference between player and quest level at which quests are
#                     considered low-level and are not shown via exclamation mark (!) at quest
#                     givers.
#        Default:     4  - (Enabled, Hide quests that have 4 levels less than the character)
#                     -1 - (Disabled, Show all available quest marks)

Quests.LowLevelHideDiff = 4

#
#    Quests.HighLevelHideDiff
#        Description: Level difference between player and quest level at which quests are
#                     considered high-level and are not shown via exclamation mark (!) at quest
#                     givers.
#        Default:     7  - (Enabled, Hide quests that have 7 levels more than the character)
#                     -1 - (Disabled, Show all available quest marks)

Quests.HighLevelHideDiff = 7

#
#    Quests.IgnoreRaid
#        Description: Allow non-raid quests to be completed while in a raid group.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Quests.IgnoreRaid = 0

#
#    Guild.EventLogRecordsCount
#        Description: Number of log entries for guild events that are stored per guild. Old entries
#                     will be overwritten if the number of log entries exceed the configured value.
#                     High numbers prevent this behavior but may have performance impacts.
#        Default:     100

Guild.EventLogRecordsCount = 100

#
#    Guild.BankEventLogRecordsCount
#        Description: Number of log entries for guild bank events that are stored per guild. Old
#                     entries will be overwritten if the number of log entries exceed the
#                     configured value. High numbers prevent this behavior but may have performance
#                     impacts.
#        Default:     25 - (Minimum)

Guild.BankEventLogRecordsCount = 25

#
#    MaxPrimaryTradeSkill
#        Description: Maximum number of primary professions a character can learn.
#        Range:       0-10
#        Default:     2

MaxPrimaryTradeSkill = 2

#
#    MinPetitionSigns
#        Description: Number of required signatures on charters to create a guild.
#        Range:       0-9
#        Default:     9

MinPetitionSigns = 9

#
#    MaxGroupXPDistance
#        Description: Max distance to creature for group member to get experience at creature
#                     death.
#        Default:     74

MaxGroupXPDistance = 74

#
#    MaxRecruitAFriendBonusDistance
#        Description: Max distance between character and and group to gain the Recruit-A-Friend
#                     XP multiplier.
#        Default:     100

MaxRecruitAFriendBonusDistance = 100

#
#    MailDeliveryDelay
#        Description: Time (in seconds) mail delivery is delayed when sending items.
#        Default:     3600 - (1 hour)

MailDeliveryDelay = 3600

#
#    SkillChance.Prospecting
#        Description: Allow skill increase from prospecting.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

SkillChance.Prospecting = 0

#
#    SkillChance.Milling
#        Description: Allow skill increase from milling.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

SkillChance.Milling = 0

#
#    OffhandCheckAtSpellUnlearn
#        Description: Unlearning certain spells can change offhand weapon restrictions
#                     for equip slots.
#        Default:     1 - (Recheck offhand slot weapon at unlearning a spell)
#                     0 - (Recheck offhand slot weapon only at zone update)

OffhandCheckAtSpellUnlearn = 1

#
#    ClientCacheVersion
#        Description: Client cache version for client cache data reset. Use any value different
#                     from DB and not recently been used to trigger client side cache reset.
#        Default:     0 - (Use DB value from world DB db_version.cache_id field)

ClientCacheVersion = 0

#
#    Event.Announce
#        Description: Announce events.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Event.Announce = 0

#
#    BeepAtStart
#        Description: Beep when the world server finished starting (Unix/Linux systems).
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

BeepAtStart = 1

#
#    Motd
#        Description: Message of the Day, displayed at login.
#                     Use '@' for a newline and be sure to escape special characters.
#        Example:     "Welcome to John\'s Server@This server runs on Trinity Core."
#        Default:     "Welcome to a Trinity Core server."

Motd = "Welcome to a Trinity Core server."

#
#    Server.LoginInfo
#        Description: Display core version (.server info) on login.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Server.LoginInfo = 0

#
#    Command.LookupMaxResults
#        Description: Number of results being displayed using a .lookup command.
#        Default:     0 - (Unlimited)

Command.LookupMaxResults = 0

#
#    AllowTickets
#        Description: Allow/disallow sending new tickets.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

AllowTickets = 1

#
#     DungeonFinder.Enable
#        Description: Dungeon and raid finder system.
#        Default:     0 - (Disabled)
#                     1 - (Enabled, Experimental as of still being in development)

DungeonFinder.Enable = 1

#
#   DBC.EnforceItemAttributes
#        Description: Disallow overriding item attributes stored in DBC files with values from the
#                     database.
#        Default:     1 - (Enabled, Enforce DBC values)
#                     0 - (Disabled, Use database values)

DBC.EnforceItemAttributes = 1

#
#   AccountInstancesPerHour
#        Description: Controls the max amount of different instances player can enter within hour
#        Default:     5

AccountInstancesPerHour = 5

#
###################################################################################################

###################################################################################################
# PLAYER INTERACTION
#
#    AllowTwoSide.Accounts
#        Description: Allow creating characters of both factions on the same account.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

AllowTwoSide.Accounts = 1

#
#    AllowTwoSide.Interaction.Chat
#        Description: Allow say chat between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Interaction.Chat = 0

#
#    AllowTwoSide.Interaction.Channel
#        Description: Allow channel chat between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Interaction.Channel = 0

#
#    AllowTwoSide.Interaction.Group
#        Description: Allow group joining between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Interaction.Group = 0

#
#    AllowTwoSide.Interaction.Guild
#        Description: Allow guild joining between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Interaction.Guild = 0

#
#    AllowTwoSide.Interaction.Auction
#        Description: Allow auctions between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Interaction.Auction = 0

#
#    AllowTwoSide.Interaction.Mail
#        Description: Allow sending mails between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Interaction.Mail = 0

#
#    AllowTwoSide.WhoList
#        Description: Show characters from both factions in the /who list.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.WhoList = 0

#
#    AllowTwoSide.AddFriend
#        Description: Allow adding friends from other faction the friends list.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.AddFriend = 0

#
#    AllowTwoSide.Trade
#        Description: Allow trading between factions.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AllowTwoSide.Trade = 0

#
#    TalentsInspecting
#        Description: Allow inspecting characters from the opposing faction.
#                     Doesn't affect characters in gamemaster mode.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

TalentsInspecting = 1

#
###################################################################################################

###################################################################################################
# CREATURE SETTINGS
#
#    ThreatRadius
#        Description: Distance for creatures to evade after being pulled away from the combat
#                     starting point. If ThreatRadius is less than creature aggro radius then aggro
#                     radius will be used.
#        Default:     60

ThreatRadius = 60

#
#    Rate.Creature.Aggro
#        Description: Aggro radius percentage.
#        Default:     1   - (Enabled, 100%)
#                     1.5 - (Enabled, 150%)
#                     0   - (Disabled, 0%)

Rate.Creature.Aggro = 1

#
#    CreatureFamilyFleeAssistanceRadius
#        Description: Distance for fleeing creatures seeking assistance from other creatures.
#        Default:     30 - (Enabled)
#                     0  - (Disabled)

CreatureFamilyFleeAssistanceRadius = 30

#
#    CreatureFamilyAssistanceRadius
#        Description: Distance for creatures calling for assistance from other creatures without
#                     moving.
#        Default:     10 - (Enabled)
#                     0  - (Disabled)

CreatureFamilyAssistanceRadius = 10

#
#    CreatureFamilyAssistanceDelay
#        Description: Time (in milliseconds) before creature assistance call.
#        Default:     1500 - (1.5 Seconds)

CreatureFamilyAssistanceDelay = 1500

#
#    CreatureFamilyFleeDelay
#        Description: Time (in milliseconds) during which creature can flee if no assistance was
#                     found.
#        Default:     7000 (7 Seconds)

CreatureFamilyFleeDelay = 7000

#
#    WorldBossLevelDiff
#        Description: World boss level difference.
#        Default:     3

WorldBossLevelDiff = 3

#
#    Corpse.Decay.NORMAL
#    Corpse.Decay.RARE
#    Corpse.Decay.ELITE
#    Corpse.Decay.RAREELITE
#    Corpse.Decay.WORLDBOSS
#        Description: Time (in seconds) until creature corpse will decay if not looted or skinned.
#        Default:     60   - (1 Minute, Corpse.Decay.NORMAL)
#                     300  - (5 Minutes, Corpse.Decay.RARE)
#                     300  - (5 Minutes, Corpse.Decay.ELITE)
#                     300  - (5 Minutes, Corpse.Decay.RAREELITE)
#                     3600 - (1 Hour, Corpse.Decay.WORLDBOSS)

Corpse.Decay.NORMAL    = 60
Corpse.Decay.RARE      = 300
Corpse.Decay.ELITE     = 300
Corpse.Decay.RAREELITE = 300
Corpse.Decay.WORLDBOSS = 3600

#
#    Rate.Corpse.Decay.Looted
#        Description: Multiplier for Corpse.Decay.* to configure how long creature corpses stay
#                     after they have been looted.
#         Default:    0.5

Rate.Corpse.Decay.Looted = 0.5

#
#    Rate.Creature.Normal.Damage
#    Rate.Creature.Elite.Elite.Damage
#    Rate.Creature.Elite.RARE.Damage
#    Rate.Creature.Elite.RAREELITE.Damage
#    Rate.Creature.Elite.WORLDBOSS.Damage
#        Description: Mulitplier for creature melee damage.
#        Default:     1 - (Rate.Creature.Normal.Damage)
#                     1 - (Rate.Creature.Elite.Elite.Damage)
#                     1 - (Rate.Creature.Elite.RARE.Damage)
#                     1 - (Rate.Creature.Elite.RAREELITE.Damage)
#                     1 - (Rate.Creature.Elite.WORLDBOSS.Damage)
#

Rate.Creature.Normal.Damage          = 1
Rate.Creature.Elite.Elite.Damage     = 1
Rate.Creature.Elite.RARE.Damage      = 1
Rate.Creature.Elite.RAREELITE.Damage = 1
Rate.Creature.Elite.WORLDBOSS.Damage = 1

#
#    Rate.Creature.Normal.SpellDamage
#    Rate.Creature.Elite.Elite.SpellDamage
#    Rate.Creature.Elite.RARE.SpellDamage
#    Rate.Creature.Elite.RAREELITE.SpellDamage
#    Rate.Creature.Elite.WORLDBOSS.SpellDamage
#        Description: Mulitplier for creature spell damage.
#        Default:     1 - (Rate.Creature.Normal.SpellDamage)
#                     1 - (Rate.Creature.Elite.Elite.SpellDamage)
#                     1 - (Rate.Creature.Elite.RARE.SpellDamage)
#                     1 - (Rate.Creature.Elite.RAREELITE.SpellDamage)
#                     1 - (Rate.Creature.Elite.WORLDBOSS.SpellDamage)

Rate.Creature.Normal.SpellDamage          = 1
Rate.Creature.Elite.Elite.SpellDamage     = 1
Rate.Creature.Elite.RARE.SpellDamage      = 1
Rate.Creature.Elite.RAREELITE.SpellDamage = 1
Rate.Creature.Elite.WORLDBOSS.SpellDamage = 1

#
#    Rate.Creature.Normal.HP
#    Rate.Creature.Elite.Elite.HP
#    Rate.Creature.Elite.RARE.HP
#    Rate.Creature.Elite.RAREELITE.HP
#    Rate.Creature.Elite.WORLDBOSS.HP
#        Description: Mulitplier for creature health.
#        Default:     1 - (Rate.Creature.Normal.HP)
#                     1 - (Rate.Creature.Elite.Elite.HP)
#                     1 - (Rate.Creature.Elite.RARE.HP)
#                     1 - (Rate.Creature.Elite.RAREELITE.HP)
#                     1 - (Rate.Creature.Elite.WORLDBOSS.HP)

Rate.Creature.Normal.HP          = 1
Rate.Creature.Elite.Elite.HP     = 1
Rate.Creature.Elite.RARE.HP      = 1
Rate.Creature.Elite.RAREELITE.HP = 1
Rate.Creature.Elite.WORLDBOSS.HP = 1

#
#    ListenRange.Say
#        Description: Distance in which players can read say messages from creatures or
#                     gameobjects.
#        Default:     40

ListenRange.Say = 40

#
#    ListenRange.TextEmote
#        Description: Distance in which players can read emotes from creatures or gameobjects.
#        Default:     40

ListenRange.TextEmote = 40

#
#    ListenRange.Yell
#        Description: Distance in which players can read yell messages from creatures or
#                     gameobjects.
#        Default:     300

ListenRange.Yell = 300

#
###################################################################################################

###################################################################################################
# CHAT SETTINGS
#
#    ChatFakeMessagePreventing
#        Description: Chat protection from creating fake messages using a lot spaces or other
#                     invisible symbols. Not applied to the addon language, but may break old
#                     addons that use normal languages for sending data to other clients.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ChatFakeMessagePreventing = 0

#
#    ChatStrictLinkChecking.Severity
#        Description: Check chat messages for ingame links to spells, items, quests, etc.
#        Default:     0 - (Disabled)
#                     1 - (Enabled, Check if only valid pipe commands are used, Prevents posting
#                         pictures.)
#                     2 - (Enabled, Verify that pipe commands are used in a correct order)
#                     3 - (Check if color, entry and name don't contradict each other. For this to
#                         work correctly, please assure that you have extracted locale DBCs of
#                         every language specific client playing on this server)

ChatStrictLinkChecking.Severity = 0

#
#    ChatStrictLinkChecking.Kick
#        Description: Defines what should be done if a message is considered to contain invalid
#                     pipe commands.
#        Default:     0 - (Silently ignore message)
#                     1 - (Disconnect players who sent malformed messages)

ChatStrictLinkChecking.Kick = 0

#
#    ChatFlood.MessageCount
#        Description: Chat flood protection, number of messages before player gets muted.
#        Default:     10 - (Enabled)
#                     0  - (Disabled)

ChatFlood.MessageCount = 10

#
#    ChatFlood.MessageDelay
#        Description: Time (in seconds) between messages to be counted into ChatFlood.MessageCount.
#        Default:     1

ChatFlood.MessageDelay = 1

#
#    ChatFlood.MuteTime
#        Description: Time (in seconds) characters get muted for violating ChatFlood.MessageCount.
#        Default:     10

ChatFlood.MuteTime = 10

#
#    Channel.RestrictedLfg
#        Description: Restrict LookupForGroup channel to characters registered in the LFG tool.
#        Default:     1 - (Enabled, Allow join to channel only if registered in LFG)
#                     0 - (Disabled, Allow join to channel in any time)

Channel.RestrictedLfg = 1

#
#    Channel.SilentlyGMJoin
#        Description: Silently join GM characters to channels
#        Default:     0 - (Disabled, Join with announcement)
#                     1 - (Enabled, Join without announcement)

Channel.SilentlyGMJoin = 0

#
#    ChatLevelReq.Channel
#        Description: Level requirement for characters to be able to write in chat channels.
#        Default:     1

ChatLevelReq.Channel = 1

#
#    ChatLevelReq.Whisper
#        Description: Level requirement for characters to be able to whisper other characters.
#        Default:     1

ChatLevelReq.Whisper = 1

#
#    ChatLevelReq.Say
#        Description: Level requirement for characters to be able to use say/yell/emote.
#        Default:     1

ChatLevelReq.Say = 1

#
#    AllowPlayerCommands
#        Description: Allow players to use commands.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

AllowPlayerCommands = 1

#
#    PreserveCustomChannels
#        Description: Store custom chat channel settings like password, automatic ownership handout
#                     or ban list in the database. Needs to be enabled to save custom
#                     world/trade/etc. channels that have automatic ownership handout disabled.
#                     (.channel set ownership $channel off)
#        Default:     0 - (Disabled, Blizzlike, Channel settings are lost if last person left)
#                     1 - (Enabled)

PreserveCustomChannels = 1

#
#    PreserveCustomChannelDuration
#        Description: Time (in days) that needs to pass before the customs chat channels get
#                     cleaned up from the database. Only channels with ownership handout enabled
#                     (default behavior) will be cleaned.
#        Default:     14 - (Enabled, Clean channels that haven't been used for 14 days)
#                     0  - (Disabled, Infinite channel storage)

PreserveCustomChannelDuration = 14

#
###################################################################################################

###################################################################################################
# GAME MASTER SETTINGS
#
#    GM.LoginState
#        Description: GM mode at login.
#        Default:     2 - (Last save state)
#                     0 - (Disable)
#                     1 - (Enable)

GM.LoginState = 2

#
#    GM.Visible
#        Description: GM visibility at login.
#        Default:     2 - (Last save state)
#                     0 - (Invisible)
#                     1 - (Visible)

GM.Visible = 2

#
#    GM.Chat
#        Description: GM chat mode at login.
#        Default:     2 - (Last save state)
#                     0 - (Disable)
#                     1 - (Enable)

GM.Chat = 2

#
#    GM.WhisperingTo
#        Description: Is GM accepting whispers from player by default or not.
#        Default:     2 - (Last save state)
#                     0 - (Disable)
#                     1 - (Enable)

GM.WhisperingTo = 2

#
#    GM.InGMList.Level
#        Description: Maximum GM level shown in GM list (if enabled) in non-GM state (.gm off).
#        Default:     3 - (Anyone)
#                     0 - (Only players)
#                     1 - (Only moderators)
#                     2 - (Only gamemasters)

GM.InGMList.Level = 3

#
#    GM.InWhoList.Level
#        Description: Max GM level showed in who list (if visible).
#        Default:     3 - (Anyone)
#                     0 - (Only players)
#                     1 - (Only moderators)
#                     2 - (Only gamemasters)

GM.InWhoList.Level = 3

#
#    GM.LogTrade
#        Description: Include GM trade and trade slot enchanting operations in GM log.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

GM.LogTrade = 1

#
#    GM.StartLevel
#        Description: GM character starting level.
#        Default:     1

GM.StartLevel = 1

#
#    GM.AllowInvite
#        Description: Allow players to invite GM characters.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

GM.AllowInvite = 0

#
#    GM.AllowFriend
#        Description: Allow players to add GM characters to their friends list.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

GM.AllowFriend = 0

#
#    GM.LowerSecurity
#        Description: Allow lower security levels to use commands on higher security level
#                     characters.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

GM.LowerSecurity = 0

#
#    GM.TicketSystem.ChanceOfGMSurvey
#        Description: Chance of sending a GM survey after ticket completion.
#        Default:     50 - (Enabled)
#                     0  - (Disabled)

GM.TicketSystem.ChanceOfGMSurvey = 50

#
###################################################################################################

###################################################################################################
# VISIBILITY AND DISTANCES
#
#    Visibility.GroupMode
#        Description: Group visibility modes. Defines which groups can aways detect invisible
#                     characters of the same raid, group or faction.
#        Default:     1 - (Raid)
#                     0 - (Party)
#                     2 - (Faction)

Visibility.GroupMode = 1

#
#    Visibility.Distance.Continents
#    Visibility.Distance.Instances
#    Visibility.Distance.BGArenas
#        Description: Visibility distance to see other players or gameobjects.
#                     Visibility on continents on retail ~90 yards. In BG/Arenas ~180.
#                     For instances default ~120.
#                     Max limited by active player zone: ~ 333
#                     Min limit is max aggro radius (45) * Rate.Creature.Aggro
#        Default:     90  - (Visibility.Distance.Continents)
#                     120 - (Visibility.Distance.Instances)
#                     180 - (Visibility.Distance.BGArenas)

Visibility.Distance.Continents = 90
Visibility.Distance.Instances = 120
Visibility.Distance.BGArenas = 180

#
#    Visibility.Notify.Period.OnContinents
#    Visibility.Notify.Period.InInstances
#    Visibility.Notify.Period.InBGArenas
#        Description: Time (in milliseconds) for visibility update period. Lower values may have
#                     performance impact.
#        Default:     1000 - (Visibility.Notify.Period.OnContinents)
#                     1000 - (Visibility.Notify.Period.InInstances)
#                     1000 - (Visibility.Notify.Period.InBGArenas)

Visibility.Notify.Period.OnContinents = 1000
Visibility.Notify.Period.InInstances  = 1000
Visibility.Notify.Period.InBGArenas   = 1000

#
###################################################################################################

###################################################################################################
# SERVER RATES
#
#    Rate.Health
#    Rate.Mana
#    Rate.Rage.Income
#    Rate.Rage.Loss
#    Rate.RunicPower.Income
#    Rate.RunicPower.Loss
#    Rate.Focus
#    Rate.Energy
#    Rate.Loyalty
#        Description: Multiplier to configure health, mana, incoming rage, loss of rage, focus
#                     energy and loyalty increase or decrease.
#        Default:     1 - (Rate.Health)
#                     1 - (Rate.Mana)
#                     1 - (Rate.Rage.Income)
#                     1 - (Rate.Rage.Loss)
#                     1 - (Rate.RunicPower.Income)
#                     1 - (Rate.RunicPower.Loss)
#                     1 - (Rate.Focus)
#                     1 - (Rate.Energy)
#                     1 - (Rate.Loyalty)

Rate.Health            = 1
Rate.Mana              = 1
Rate.Rage.Income       = 1
Rate.Rage.Loss         = 1
Rate.RunicPower.Income = 1
Rate.RunicPower.Loss   = 1
Rate.Focus             = 1
Rate.Energy            = 1
Rate.Loyalty           = 1

#
#    Rate.Skill.Discovery
#        Description: Multiplier for skill discovery.
#        Default:     1

Rate.Skill.Discovery = 1

#
#    Rate.Drop.Item.Poor
#    Rate.Drop.Item.Normal
#    Rate.Drop.Item.Uncommon
#    Rate.Drop.Item.Rare
#    Rate.Drop.Item.Epic
#    Rate.Drop.Item.Legendary
#    Rate.Drop.Item.Artifact
#    Rate.Drop.Item.Referenced
#    Rate.Drop.Money
#        Description: Drop rates for money and items based on quality.
#        Default:     1 - (Rate.Drop.Item.Poor)
#                     1 - (Rate.Drop.Item.Normal)
#                     1 - (Rate.Drop.Item.Uncommon)
#                     1 - (Rate.Drop.Item.Rare)
#                     1 - (Rate.Drop.Item.Epic)
#                     1 - (Rate.Drop.Item.Legendary)
#                     1 - (Rate.Drop.Item.Artifact)
#                     1 - (Rate.Drop.Item.Referenced)
#                     1 - (Rate.Drop.Money)

Rate.Drop.Item.Poor             = 1
Rate.Drop.Item.Normal           = 1
Rate.Drop.Item.Uncommon         = 1
Rate.Drop.Item.Rare             = 1
Rate.Drop.Item.Epic             = 1
Rate.Drop.Item.Legendary        = 1
Rate.Drop.Item.Artifact         = 1
Rate.Drop.Item.Referenced       = 1
Rate.Drop.Money                 = 1

#
#    Rate.Drop.Item.ReferencedAmount
#        Description: Multiplier for referenced loot amount.
#        Default:     1

Rate.Drop.Item.ReferencedAmount = 1

#
#    Rate.XP.Kill
#    Rate.XP.Quest
#    Rate.XP.Explore
#        Description: Experience rates.
#        Default:     1 - (Rate.XP.Kill)
#                     1 - (Rate.XP.Quest)
#                     1 - ( Rate.XP.Explore)

Rate.XP.Kill    = 1
Rate.XP.Quest   = 1
Rate.XP.Explore = 1

#
#    Rate.RepairCost
#        Description: Repair cost rate.
#        Default:     1

Rate.RepairCost = 1

#
#    Rate.Rest.InGame
#    Rate.Rest.Offline.InTavernOrCity
#    Rate.Rest.Offline.InWilderness
#        Description: Resting points grow rates.
#        Default:     1 - (Rate.Rest.InGame)
#                     1 - (Rate.Rest.Offline.InTavernOrCity)
#                     1 - (Rate.Rest.Offline.InWilderness)

Rate.Rest.InGame                 = 1
Rate.Rest.Offline.InTavernOrCity = 1
Rate.Rest.Offline.InWilderness   = 1

#
#    Rate.Damage.Fall
#        Description: Damage after fall rate.
#        Default:     1

Rate.Damage.Fall = 1

#
#    Rate.Auction.Time
#    Rate.Auction.Deposit
#    Rate.Auction.Cut
#        Description: Auction rates (auction time, deposit get at auction start,
#                     auction cut from price at auction end)
#        Default:     1 - (Rate.Auction.Time)
#                     1 - (Rate.Auction.Deposit)
#                     1 - (Rate.Auction.Cut)

Rate.Auction.Time    = 1
Rate.Auction.Deposit = 1
Rate.Auction.Cut     = 1

#
#    Rate.Honor
#        Description: Honor gain rate.
#        Default:     1

Rate.Honor = 1

#
#    Rate.Mining.Amount
#        Description: Rate for minimum/maximum times a deposit can be used.
#        Default:     1

Rate.Mining.Amount = 1

#
#    Rate.Mining.Next
#        Description: Mining rates.
#        Default:     Chance to to mine a deposit again.

Rate.Mining.Next = 1

#
#    Rate.Talent
#        Description: Talent point rate.
#        Default:     1

Rate.Talent = 1

#
#    Rate.Reputation.Gain
#        Description: Reputation gain rate.
#        Default:     1

Rate.Reputation.Gain = 1

#
#    Rate.Reputation.LowLevel.Kill
#        Description: Reputation gain from killing low level (grey) creatures.
#        Default:     1

Rate.Reputation.LowLevel.Kill = 1

#
#    Rate.Reputation.LowLevel.Quest
#        Description: Reputation gain rate.
#        Default:     1

Rate.Reputation.LowLevel.Quest = 1

#
#    Rate.Reputation.RecruitAFriendBonus
#        Description: Reputation bonus rate for recruit-a-friend.
#        Default:     0.1

Rate.Reputation.RecruitAFriendBonus = 0.1

#
#    Rate.MoveSpeed
#        Description: Movement speed rate.
#        Default:     1

Rate.MoveSpeed = 1

#
#    Rate.InstanceResetTime
#        Description: Multiplier for the number of days in between global raid/heroic instance
#                     resets.
#        Default:     1

Rate.InstanceResetTime = 1

#
#    SkillGain.Crafting
#    SkillGain.Defense
#    SkillGain.Gathering
#    SkillGain.Weapon
#        Description: Crafting/defense/gathering/weapon skills gain rate.
#        Default:     1 - (SkillGain.Crafting)
#                     1 - (SkillGain.Defense)
#                     1 - (SkillGain.Gathering)
#                     1 - (SkillGain.Weapon)

SkillGain.Crafting  = 1
SkillGain.Defense   = 1
SkillGain.Gathering = 1
SkillGain.Weapon    = 1

#
#    SkillChance.Orange
#    SkillChance.Yellow
#    SkillChance.Green
#    SkillChance.Grey
#        Description: Chance to increase skill based on recipe color.
#        Default:     100 - (SkillChance.Orange)
#                     75  - (SkillChance.Yellow)
#                     25  - (SkillChance.Green)
#                     0   - (SkillChance.Grey)

SkillChance.Orange = 100
SkillChance.Yellow = 75
SkillChance.Green  = 25
SkillChance.Grey   = 0

#
#    SkillChance.MiningSteps
#    SkillChance.SkinningSteps
#        Description: Skinning and Mining chance decreases with skill level.
#        Default:     0  - (Disabled)
#                     75 - (In 2 times each 75 skill points)

SkillChance.MiningSteps   = 0
SkillChance.SkinningSteps = 0

#
#    DurabilityLoss.InPvP
#        Description: Durability loss on death during PvP.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

DurabilityLoss.InPvP = 0

#
#    DurabilityLoss.OnDeath
#        Description: Durability loss percentage on death.
#        Default:     10

DurabilityLoss.OnDeath = 10

#
#    DurabilityLossChance.Damage
#        Description: Chance to lose durability on one equipped item from damage.
#        Default:     0.5 - (100/0.5 = 200, Each 200 damage one equipped item will use durability)

DurabilityLossChance.Damage = 0.5

#
#    DurabilityLossChance.Absorb
#        Description: Chance to lose durability on one equipped armor item when absorbing damage.
#        Default:     0.5 - (100/0.5 = 200, Each 200 absorbed damage one equipped item will lose
#                           durability)

DurabilityLossChance.Absorb = 0.5

#
#    DurabilityLossChance.Parry
#        Description: Chance to lose durability on main weapon when parrying attacks.
#        Default:     0.05 - (100/0.05 = 2000, Each 2000 parried damage the main weapon will lose
#                            durability)

DurabilityLossChance.Parry = 0.05

#
#    DurabilityLossChance.Block
#        Description: Chance to lose durability on shield when blocking attacks.
#        Default:     0.05 - (100/0.05 = 2000, Each 2000 blocked damage the shield will lose
#                            durability)

DurabilityLossChance.Block = 0.05

#
#    Death.SicknessLevel
#        Description: Starting level for resurrection sickness.
#        Example:     11 - (Level 1-10 characters will not be affected,
#                           Level 11-19 characters will be affected for 1 minute,
#                           Level 20-MaxPlayerLevel characters will be affected for 10 minutes)
#         Default:    11               - (Enabled, See Example)
#                     MaxPlayerLevel+1 - (Disabled)
#                     -10              - (Enabled, Level 1+ characters have 10 minute duration)

Death.SicknessLevel = 11

#
#    Death.CorpseReclaimDelay.PvP
#    Death.CorpseReclaimDelay.PvE
#        Description: Increase corpse reclaim delay at PvP/PvE deaths.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

Death.CorpseReclaimDelay.PvP = 1
Death.CorpseReclaimDelay.PvE = 0

#
#    Death.Bones.World
#    Death.Bones.BattlegroundOrArena
#        Description: Create bones instead of corpses at resurrection in normal zones, instances,
#                     battleground or arenas.
#        Default:     1 - (Enabled, Death.Bones.World)
#                     1 - (Enabled, Death.Bones.BattlegroundOrArena)
#                     0 - (Disabled)

Death.Bones.World               = 1
Death.Bones.BattlegroundOrArena = 1

#
#    Die.Command.Mode
#        Description: Do not trigger things like loot from .die command.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

Die.Command.Mode = 1

#
###################################################################################################

###################################################################################################
# AUTO BROADCAST
#
#    AutoBroadcast.On
#        Description: Enable auto broadcast.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AutoBroadcast.On = 0

#
#    AutoBroadcast.Center
#        Description: Auto broadcasting display method.
#        Default:     0 - (Announce)
#                     1 - (Notify)
#                     2 - (Both)

AutoBroadcast.Center = 0

#
#    AutoBroadcast.Timer
#        Description: Timer (in milliseconds) for auto broadcasts.
#        Default:     60000 - (60 seconds)

AutoBroadcast.Timer = 60000

#
###################################################################################################

###################################################################################################
# BATTLEGROUND CONFIG
#
#    Battleground.CastDeserter
#        Description: Cast Deserter spell at players who leave battlegrounds in progress.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

Battleground.CastDeserter = 1

#
#    Battleground.QueueAnnouncer.Enable
#        Description: Announce battleground queue status to chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Battleground.QueueAnnouncer.Enable = 0

#
#    Battleground.QueueAnnouncer.PlayerOnly
#        Description: Battleground queue announcement type.
#        Default:     0 - (System message, Anyone can see it)
#                     1 - (Private, Only queued players can see it)

Battleground.QueueAnnouncer.PlayerOnly = 0

#
#    Battleground.InvitationType
#        Description: Set Battleground invitation type.
#        Default:     0 - (Normal, Invite as much players to battlegrounds as queued,
#                          Don't bother with balance)
#                     1 - (Experimental, Don't allow to invite much more players
#                          of one faction)

Battleground.InvitationType = 0

#
#    Battleground.PrematureFinishTimer
#        Description: Time (in milliseconds) before battleground will end prematurely if there are
#                     not enough players on one team. (Values defined in battleground template)
#        Default:     300000 - (Enabled, 5 minutes)
#                     0      - (Disabled, Not recommended)

BattleGround.PrematureFinishTimer = 300000

#
#    BattleGround.PremadeGroupWaitForMatch
#        Description: Time (in milliseconds) a pre-made group has to wait for matching group of the
#                     other faction.
#        Default:     1800000 - (Enabled, 30 minutes)
#                     0       - (Disabled, Not recommended)

BattleGround.PremadeGroupWaitForMatch = 1800000

#
#    Battleground.GiveXPForKills
#        Description: Give experience for honorable kills in battlegrounds.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Battleground.GiveXPForKills = 0

#
#    Battleground.Random.ResetHour
#        Description: Hour of the day when the global instance resets occur.
#        Range:       0-23
#        Default:     6 - (06:00 AM)

Battleground.Random.ResetHour = 6

#
###################################################################################################

###################################################################################################
# ARENA CONFIG
#
#    Arena.MaxRatingDifference
#        Description: Maximum rating difference between two teams in rated matches.
#        Default:     150 - (Enabled)
#                     0   - (Disabled)

Arena.MaxRatingDifference = 150

#
#    Arena.RatingDiscardTimer
#        Description: Time (in milliseconds) after which rating differences are ignored when
#                     setting up matches.
#        Default:     600000 - (Enabled, 10 minutes)
#                     0      - (Disabled)

Arena.RatingDiscardTimer = 600000

#
#    Arena.AutoDistributePoints
#        Description: Automatically distribute arena points.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Arena.AutoDistributePoints = 0

#
#    Arena.AutoDistributeInterval
#        Description: Time (in days) how often arena points should be distributed if automatic
#                     distribution is enabled.
#        Default:     7 - (Weekly)

Arena.AutoDistributeInterval = 7

#
#    Arena.QueueAnnouncer.Enable
#        Description: Announce arena queue status to chat.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Arena.QueueAnnouncer.Enable = 0

#
#    Arena.ArenaSeason.ID
#        Description: Current area season id shown in clients.
#        Default:     8

Arena.ArenaSeason.ID = 8

#
#    Arena.ArenaSeason.InProgress
#        Description: State of current area season.
#        Default:     1 - (Active)
#                     0 - (Finished)

Arena.ArenaSeason.InProgress = 1

#
#    Arena.ArenaStartRating
#        Description: Start rating for new arena teams.
#        Default:     0

Arena.ArenaStartRating = 0

#
#    Arena.ArenaStartPersonalRating
#        Description: Start personal rating when joining a team.
#        Default:     0

Arena.ArenaStartPersonalRating = 0

#
#    Arena.ArenaStartMatchmakerRating
#        Description: Start matchmaker rating for players.
#        Default:     1500

Arena.ArenaStartMatchmakerRating = 1500

#
###################################################################################################

###################################################################################################
# NETWORK CONFIG
#
#    Network.Threads
#        Description: Number of threads for network.
#         Default:    1 - (Recommended 1 thread per 1000 connections)

Network.Threads = 1

#
#    Network.OutKBuff
#        Description: Amount of memory (in bytes) used for the output kernel buffer (see SO_SNDBUF
#                     socket option, TCP manual).
#        Default:     -1 - (Use system default setting)

Network.OutKBuff = -1

#
#    Network.OutUBuff
#        Description: Amount of memory (in bytes) reserved in the user space per connection for
#                     output buffering.
#         Default:    65536

Network.OutUBuff = 65536

#
#    Network.TcpNoDelay:
#        Description: TCP Nagle algorithm setting.
#         Default:    0 - (Enabled, Less traffic, More latency)
#                     1 - (Disabled, More traffic, Less latency, TCP_NO_DELAY)

Network.TcpNodelay = 1

#
###################################################################################################

###################################################################################################
# CONSOLE AND REMOTE ACCESS
#
#    Console.Enable
#        Description: Enable console.
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

Console.Enable = 1

#
#    Ra.Enable
#        Description: Enable remote console (telnet).
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Ra.Enable = 0

#
#    Ra.IP
#        Description: Bind remote access to IP/hostname.
#        Default:     "0.0.0.0" - (Bind to all IPs on the system)

Ra.IP = "0.0.0.0"

#
#    Ra.Port
#        Description: TCP port to reach the remote console.
#        Default:     3443

Ra.Port = 3443

#
#    Ra.MinLevel
#        Description: Required security level to use the remote console.
#        Default:     3

Ra.MinLevel = 3

#
#    SOAP.Enable
#        Description: Enable soap service
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

SOAP.Enabled = 0

#
#    SOAP.IP
#        Description: Bind SOAP service to IP/hostname
#        Default:     "127.0.0.1" - (Bind to localhost)

SOAP.IP = "127.0.0.1"

#
#    SOAP.Port
#        Description: TCP port to reach the SOAP service.
#        Default:     7878

SOAP.Port = 7878

#
###################################################################################################

###################################################################################################
# CHARACTER DELETE OPTIONS
#
#    CharDelete.Method
#        Description: Character deletion behavior.
#        Default:     0 - (Completely remove character from the database)
#                     1 - (Unlink the character from account and free up the name, Appears as
#                         deleted ingame)

CharDelete.Method = 0

#
#    CharDelete.MinLevel
#        Description: Required level to use the unlinking method if enabled.
#        Default:     0  - (Same method for every level)
#                     1+ - (Only characters with the specified level will use the unlinking method)

CharDelete.MinLevel = 0

#
#    CharDelete.KeepDays
#        Description: Time (in days) before unlinked characters will be removed from the database.
#        Default:     30 - (Enabled)
#                     0  - (Disabled, Don't delete any characters)

CharDelete.KeepDays = 30

#
###################################################################################################

###################################################################################################
# CUSTOM SERVER OPTIONS
#
#    PlayerStart.AllReputation
#        Description: Players will start with most of the high level reputations that are needed
#                     for items, mounts etc.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

PlayerStart.AllReputation = 0

#
#    PlayerStart.AllSpells
#        Description: If enabled, players will start with all their class spells (not talents).
#                     You must populate playercreateinfo_spell_custom table with the spells you
#                     want, or this will not work! The table has data for all classes / races up
#                     to TBC expansion.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

PlayerStart.AllSpells = 0

#
#    PlayerStart.MapsExplored
#        Description: Characters start with all maps explored.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

PlayerStart.MapsExplored = 0

#
#    HonorPointsAfterDuel
#        Description: Amount of honor points the duel winner will get after a duel.
#        Default:     0  - (Disabled)
#                     1+ - (Enabled)

HonorPointsAfterDuel = 0

#
#    AlwaysMaxWeaponSkill
#        Description: Players will automatically gain max weapon/defense skill when logging in,
#                     or leveling.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

AlwaysMaxWeaponSkill = 0

#
#    PvPToken.Enable
#        Description: Character will receive a token after defeating another character that yields
#                     honor.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

PvPToken.Enable = 0

#
#    PvPToken.MapAllowType
#        Description: Define where characters can receive tokens.
#        Default:     4 - (All maps)
#                     3 - (Battlegrounds)
#                     2 - (FFA areas only like Gurubashi arena)
#                     1 - (Battlegrounds and FFA areas)

PvPToken.MapAllowType = 4

#
#    PvPToken.ItemID
#        Description: Item characters will receive after defeating another character if PvP Token
#                     system is enabled.
#        Default:     29434 - (Badge of justice)

PvPToken.ItemID = 29434

#
#    PvPToken.ItemCount
#        Description: Number of tokens a character will receive.
#        Default:     1

PvPToken.ItemCount = 1

#
#    NoResetTalentsCost
#        Description: Resetting talents doesn't cost anything.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

NoResetTalentsCost = 0

#
#     Guild.AllowMultipleGuildMaster
#        Description: Allow more than one guild master. Additional Guild Masters must be set using
#                     the ".guild rank" command.
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

Guild.AllowMultipleGuildMaster = 0

#
#     ShowKickInWorld
#        Description: Determines whether a message is broadcasted to the entire server when a
#                     player gets kicked
#        Default:     0 - (Disabled)
#                     1 - (Enabled)

ShowKickInWorld = 0

#
#     RecordUpdateTimeDiffInterval
#        Description: Time (in milliseconds) update time diff is written to the log file.
#                     Update diff can be used as a performance indicator. Diff < 300: good
#                     performance. Diff > 600 bad performance, may be caused by high CPU usage.
#        Default:     60000 - (Enabled, 1 minute)
#                     0     - (Disabled)

RecordUpdateTimeDiffInterval = 60000
#
#     MinRecordUpdateTimeDiff
#        Description: Only record update time diff which is greater than this value.
#        Default:     100

MinRecordUpdateTimeDiff = 100

#
#     PlayerStart.String
#        Description: String to be displayed at first login of newly created characters.
#         Default:    "" - (Disabled)

PlayerStart.String = ""

#
#     LevelReq.Trade
#        Description: Level requirement for characters to be able to trade.
#        Default:     1

LevelReq.Trade = 1

#
#     LevelReq.Ticket
#        Description: Level requirement for characters to be able to write tickets.
#        Default:     1

LevelReq.Ticket = 1

#
#     LevelReq.Auction
#        Description: Level requirement for characters to be able to use the auction house.
#        Default:     1

LevelReq.Auction = 1

#
#     LevelReq.Mail
#        Description: Level requirement for characters to be able to send and receive mails.
#        Default:     1

LevelReq.Mail = 1

#     DuelReset.Cooldown
#     Reseting cooldown and restore health to start duel
#     Default: 0 - Disable
#              1 - Enable
#

DuelReset.Cooldown = 0

#

#     Anticheat.Enable
#        Description: Enables or disables the Anticheat System functionality
#        Default:     1 - (Enabled)
#                     0 - (Disabled)

Anticheat.Enable = 1

#     Anticheat.ReportsForIngameWarnings
#        Description: How many reports the player must have to notify to GameMasters ingame when he generates a new report.
#        Default:     70

Anticheat.ReportsForIngameWarnings = 70

#     Anticheat.DetectionsEnabled
#        Description: It represents which detections are enabled.
#
#        SPEED_HACK_DETECTION            = 1
#        FLY_HACK_DETECTION              = 2
#        WALK_WATER_HACK_DETECTION       = 4
#        JUMP_HACK_DETECTION             = 8
#        TELEPORT_PLANE_HACK_DETECTION   = 16
#        CLIMB_HACK_DETECTION            = 32
#
#        Default:     31

Anticheat.DetectionsEnabled = 31

#     Anticheat.MaxReportsForDailyReport
#        Description: How many reports must the player have to make a report that it is in DB for a day (not only during the player's session).
#        Default:     70

Anticheat.MaxReportsForDailyReport = 70

###################################################################################################

###################################################################################################
# Warden options
#
#     WardenLogFile = "warden.log"
#        Warden log file
#
#     Warden.Kick = 1
#        Enable 1 or Disable 0 kick player if no answer\timeout\failed cheacks
#
#     Warden.BanHours = 3
#        Number of hours for ban player's account if cheack failed
#        0 - Disable ban

WardenLogFile = "warden.log"
Warden.Kick = 1
Warden.BanHour = 3

#
###################################################################################################

###################################################################################################
#   OutdoorPvP.Wintergrasp.Enabled
#       Determines whether the Wintergrasp battle is enabled or not.
#        Default: 0 = Disable
#                 1 = Enable
#
#   OutdoorPvP.Wintergrasp.SaveState.Period
#      Interval of Save Wintergrasp State Data  to restore it after crash/shutdown/restart
#      Interval (in milliseconds)
#      Default (10000 milliseconds)
#      Warning:  Do not set it less 1 second!
#
#   OutdoorPvP.Wintergrasp.StartTime
#       The start time of the first battle after server starts (in minutes)
#       Default: 30
#
#   OutdoorPvP.Wintergrasp.BattleTime
#       Time limit of a battle (in minutes)
#       Default: 30
#
#   OutdoorPvP.Wintergrasp.Interval
#       Interval between battles (in minutes)
#       Default: 150
#
#   OutdoorPvP.Wintergrasp.CustomHonorRewards
#       Defines whether custom honor rewards should be given to player
#        for partaking in the Wintergrasp Battle.
#        Default: 0 = Disable
#                 1 = Enable
#
#   OutdoorPvP.Wintergrasp.CustomHonorBattleWin
#       Defines the amount of honor points that should be given to the
#        team winning the Wintergrasp Battle.
#       Requires OutdoorPvP.Wintergrasp.CustomHonorRewards = 1.
#       Default: 3000
#
#   OutdoorPvP.Wintergrasp.CustomHonorBattleLose
#       Defines the amount of honor points that should be given to the
#        team losing the Wintergrasp Battle.
#       Requires OutdoorPvP.Wintergrasp.CustomHonorRewards = 1.
#       Default: 1250
#
#   OutdoorPvP.Wintergrasp.CustomHonorDamageTower
#       Defines the amount of honor points that should be given to the
#        team for damaging a tower.
#       Requires OutdoorPvP.Wintergrasp.CustomHonorRewards = 1.
#       Default: 750
#
#   OutdoorPvP.Wintergrasp.CustomHonorDestroyedTower
#       Defines the amount of honor points that should be given to the
#        team for destroying a tower.
#       Requires OutdoorPvP.Wintergrasp.CustomHonorRewards = 1.
#       Default: 750
#
#   OutdoorPvP.Wintergrasp.CustomHonorDamagedBuilding
#       Defines the amount of honor points that should be given to the
#        team for damaged buildings after the battle.
#       Requires OutdoorPvP.Wintergrasp.CustomHonorRewards = 1.
#       Default: 750
#
#   OutdoorPvP.Wintergrasp.CustomHonorIntactBuilding
#      Defines the amount of honor points that should be given to the
#        team for intact buildings after the battle.
#       Requires OutdoorPvP.Wintergrasp.CustomHonorRewards = 1.
#       Default: 1500
#
#   OutdoorPvP.Wintergrasp.Antifarm.Enable
#		Enable or Disable antifarm system
#              (Default: 0)
#
#   OutdoorPvP.Wintergrasp.Antifarm.Atk
#		Min count atack players for antifarm
#              (Default: 5)
#
#   OutdoorPvP.Wintergrasp.Antifarm.Def
#		Min count defense players for antifarm
#              (Default: 5)
#
###################################################################################################

OutdoorPvP.Wintergrasp.Enabled = 1
OutdoorPvP.Wintergrasp.SaveState.Period = 60000
OutdoorPvP.Wintergrasp.StartTime = 30
OutdoorPvP.Wintergrasp.BattleTime = 30
OutdoorPvP.Wintergrasp.Interval = 150
OutdoorPvP.Wintergrasp.CustomHonorRewards = 0
OutdoorPvP.Wintergrasp.CustomHonorBattleWin = 3000
OutdoorPvP.Wintergrasp.CustomHonorBattleLose = 1250
OutdoorPvP.Wintergrasp.CustomHonorDamageTower = 750
OutdoorPvP.Wintergrasp.CustomHonorDestroyedTower = 750
OutdoorPvP.Wintergrasp.CustomHonorDamagedBuilding = 750
OutdoorPvP.Wintergrasp.CustomHonorIntactBuilding = 1500
OutdoorPvP.Wintergrasp.Antifarm.Enable = 0
OutdoorPvP.Wintergrasp.Antifarm.Atk = 5
OutdoorPvP.Wintergrasp.Antifarm.Def = 5